Bug 1069193 - Release maven artifacts with correct version numbers
Summary: Release maven artifacts with correct version numbers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks: 1024889
TreeView+ depends on / blocked
 
Reported: 2014-02-24 12:56 UTC by Juan Hernández
Modified: 2015-01-26 12:55 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-ga
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:26:26 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 25304 0 None MERGED packaging: post 3.4.0 branching Never
oVirt gerrit 25326 0 None MERGED packaging: fix missing version update Never
oVirt gerrit 25587 0 None MERGED packaging: ovirt-engine-3.4.0 Never

Description Juan Hernández 2014-02-24 12:56:33 UTC
Currently our release process generates maven artifacts that contain incorrect versions. For example, the artifacts generated for 3.3.1, 3.3.2, and 3.3.3 all have 3.3.0 as the version number.

This makes it impossible to trust the artifacts deployed to local maven repository, and also makes it impossible to publish the artifacts to public repositories.

Please fix the release process so that the resulting maven artifacts have correct version numbers.

Comment 1 Sandro Bonazzola 2014-03-04 10:34:18 UTC
Still need work on 3.4.0 branch, moving back to assigned

Comment 2 Sandro Bonazzola 2014-03-31 12:26:26 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.